View Issue Details

IDProjectCategoryView StatusLast Update
0036096LazarusWidgetsetpublic2019-10-14 16:54
ReporterAndrea MauriAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOSOS Version
Product VersionProduct BuildLazarus 2.0.5 r61860 FPC 3.0.4 x 
Target VersionFixed in Version 
Summary0036096: SpinEdit value is not properly update on a modal form
DescriptionTSpinEdit and TFloatSpinEdit value seems to be not properly updated when the value is changed on a modal form.
A sample project to reproduce the behaviour is attached.
Steps To ReproduceRun the project.
Click on button1 on form1.
edit SpinEdit1 value
Click on button1 on form2 (do not switch control using tab or clicking another component before clicking button1).
Label2.Caprton is the SpinEdit1.Text.
If after changing the SpinEdit1 Value the user directly click on Button1 the SpinEdit1.Text is not updated.

Same behaviour with TFloatSpinEdit, while TEdit works properly.
TagsNo tags attached.
Fixed in Revision62053
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Andrea Mauri

2019-09-20 18:03

reporter  

spinedit_issue.zip (133,332 bytes)

Bart Broersma

2019-09-22 11:30

developer   ~0118150

Is this specific to Cocoa?
I cannot reporduce on Windows.
(You set categorie to LCL, not to Widgetset, therefore I ask)

Andrea Mauri

2019-09-23 08:09

reporter   ~0118151

It is specific to cocoa. It works on windows.

Bart Broersma

2019-09-24 12:00

developer   ~0118159

Set category to Widgetset.

Bart Broersma

2019-10-10 12:44

developer   ~0118457

@Dmitry: I hope you don't mind me assigning cocoa bugst to you?

Dmitry Boyarintsev

2019-10-14 04:46

developer   ~0118576

please test and close if ok

Andrea Mauri

2019-10-14 12:34

reporter   ~0118583

Tested using Lazarus 2.0.5 r62054 FPC 3.0.4 x86_64-darwin-cocoa (alpha), but it still does not work.

Chris Rorden

2019-10-14 16:54

reporter   ~0118591

Lazarus 2.1.0 svn 62054 with FPC 3.0.4a x86_64-darwin-cocoa (alpha) seems to fix the problem for me. Andrea, perhaps you can delete the folder(s) in /Lazarus/LCL/units to force these to be recompiled with the latest updates.

Issue History

Date Modified Username Field Change
2019-09-20 18:03 Andrea Mauri New Issue
2019-09-20 18:03 Andrea Mauri File Added: spinedit_issue.zip
2019-09-22 11:30 Bart Broersma Status new => feedback
2019-09-22 11:30 Bart Broersma LazTarget => -
2019-09-22 11:30 Bart Broersma Note Added: 0118150
2019-09-23 08:09 Andrea Mauri Note Added: 0118151
2019-09-23 08:09 Andrea Mauri Status feedback => new
2019-09-24 12:00 Bart Broersma Category LCL => Widgetset
2019-09-24 12:00 Bart Broersma Widgetset Cocoa => Cocoa
2019-09-24 12:00 Bart Broersma Note Added: 0118159
2019-10-10 12:43 Bart Broersma Assigned To => Dmitry Boyarintsev
2019-10-10 12:43 Bart Broersma Status new => assigned
2019-10-10 12:44 Bart Broersma Note Added: 0118457
2019-10-14 04:46 Dmitry Boyarintsev Status assigned => resolved
2019-10-14 04:46 Dmitry Boyarintsev Resolution open => fixed
2019-10-14 04:46 Dmitry Boyarintsev Fixed in Revision => 62053
2019-10-14 04:46 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-10-14 04:46 Dmitry Boyarintsev Note Added: 0118576
2019-10-14 12:34 Andrea Mauri Note Added: 0118583
2019-10-14 16:54 Chris Rorden Note Added: 0118591